
Redmine - Feature #9496

Adds an option in mailhandler to disable server certificate verification

2011-10-30 02:17 - Radek Antoniuk

Status: Closed Start date: 2011-10-30

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

Please include a new option to ignore certificate CA.

This can done by

http.verify_mode = OpenSSL::SSL::VERIFY_NONE

in source:/trunk/extra/mail_handler/rdm-mailhandler.rb.

Associated revisions

Revision 7953 - 2011-11-27 17:25 - Jean-Philippe Lang

Adds an option to rdm-mailhandler to disable server certificate verification (#9496).

History

#1 - 2011-10-30 23:25 - Mischa The Evil

- Tracker changed from Patch to Feature

- Subject changed from include --no-cacert-verify in mailhandler to Include --no-cacert-verify in mailhandler

- Category set to Email receiving

Fixed issue attributes.

#2 - 2011-11-27 17:26 - Jean-Philippe Lang

- Subject changed from Include --no-cacert-verify in mailhandler to Adds an option in mailhandler to disable server certificate verification

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed

Done in r7953. The option is: --no-check-certificate
